summaryrefslogtreecommitdiff
path: root/extra
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2021-02-24 13:33:52 +0100
committerErich Eckner <git@eckner.net>2021-02-24 13:33:52 +0100
commit31abf942e26da58327b37cf180e372e88e696e8a (patch)
treeaa1c08c57bdd6bb90bc35f670d9ada7658e6d9b0 /extra
parenta55b14070e125bb8ccc7d6afa3e54d387f3ac712 (diff)
downloadpackages-31abf942e26da58327b37cf180e372e88e696e8a.tar.xz
extra/archiso: write from scratch
Diffstat (limited to 'extra')
-rw-r--r--extra/archiso/PKGBUILD34
1 files changed, 19 insertions, 15 deletions
diff --git a/extra/archiso/PKGBUILD b/extra/archiso/PKGBUILD
index 3feaf15..28b8561 100644
--- a/extra/archiso/PKGBUILD
+++ b/extra/archiso/PKGBUILD
@@ -1,17 +1,21 @@
-# we override almost everything
+# We patch on-the-fly. This way, we don't need to publish our own archiso32 source and keep that in-sync.
-pkgver=44.4
-license=('GPL')
-url='https://git.archlinux32.org/archlinux32/archiso32'
-source=("https://sources.archlinux32.org/sources/${pkgname}32-i686-v${pkgver}.tar.gz"{,.sig})
-unset sha256sums
-sha512sums=('4290fa9b6dd524d12111edcf19f66ee4db63c3cc9e5ff9419e25ddd115df12b06dbf31c9c0dc9d410c2e5cd259edb5f470be3463a25ae85094a7a05e0c98890a'
- 'SKIP')
+if declare -f build; then
+ >&2 echo 'Ooops, upstream added a build() function: more elaborate patching will be required.'
+ exit 1
+fi
-validpgpkeys=('DE9F7688CACF04FEB81A6C590AEEC90755DA7B5A')
-eval "$(
- declare -f prepare build check package | \
- sed '
- s/\(\${pkgname}\)-/\132-i686-v/
- '
-)"
+build() {
+ cd "${pkgbase}/configs/releng"
+ mv packages.x86_64 packages.i686
+ sed -i '
+ s@archlinux@archlinux32@g
+ s@ARCH_@ARCH32_@g
+ ' releng/profiledef.sh
+ find airootfs -type f -exec \
+ sed -i '
+ s@\bx86_64\b@i686@g
+ s@Arch Linux@\0 32@g
+ s@pacman-key --populate archlinux@\032@g
+ ' {} +
+}